classdef EvaluationFunctional < Functional
    
    properties(SetAccess = protected)
        point
    end
    
    methods
        
        function obj = EvaluationFunctional(x)
            if ~isscalar(x) || (x < 0 ) || (x > 1)
                error('The argument x must between 0 and 1.');
            end
            
            obj.point = x;
        end
        
        
        function y = of(obj, f)
            if ~isa(f, 'Function')
               error('The argument must be of type Function.'); 
            end
            
            y = f.of(obj.point);
        end
    end
    
end

