classdef IntervalTriangulation < Triangulation
    
    properties
    end
    
    methods
        function obj = IntervalTriangulation(p)
            if ~isvector(p) || (length(unique(p)) ~= length(p))
               error('The argument p must be a vector of pairwise different points.');
            end
            
            N = length(p);
            pt = sort(reshape(p, N, 1));
            ed = [(1:N-1)' (2:N)'];
            
            obj@Triangulation(pt, ed);
        end
    end
    
end

