classdef LinearSystem < MultiEvaluationFunctionalSystem
    
    properties
        P
        Q
    end
    
    methods
        function obj = LinearSystem(P, Q)
           if ~isa(P, 'LagrangeSystem')
              error('The argument P must be a Lagrange system.'); 
           end
           if ~isa(Q, 'GaussLegendre')
              error('The argument Q must be a GaussLegendre quadrature formula.'); 
           end
           
           we = P.evaluateAll(Q.points) .* repmat(Q.weights, P.N, 1);
           
           obj@MultiEvaluationFunctionalSystem(Q.points, we);
           obj.P = P;
           obj.Q = Q;
        end
    end
    
end

